3799bc8793ff9eb2e61f6ac16902c04fd6896f23
[framework/connectivity/libgphoto2.git] / examples / Makefile
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # examples/Makefile.  Generated from Makefile.in by configure.
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16
17
18
19 pkgdatadir = $(datadir)/libgphoto2
20 pkgincludedir = $(includedir)/libgphoto2
21 pkglibdir = $(libdir)/libgphoto2
22 pkglibexecdir = $(libexecdir)/libgphoto2
23 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24 install_sh_DATA = $(install_sh) -c -m 644
25 install_sh_PROGRAM = $(install_sh) -c
26 install_sh_SCRIPT = $(install_sh) -c
27 INSTALL_HEADER = $(INSTALL_DATA)
28 transform = $(program_transform_name)
29 NORMAL_INSTALL = :
30 PRE_INSTALL = :
31 POST_INSTALL = :
32 NORMAL_UNINSTALL = :
33 PRE_UNINSTALL = :
34 POST_UNINSTALL = :
35 build_triplet = armv7l-unknown-linux-gnueabi
36 host_triplet = armv7l-unknown-linux-gnueabi
37 EXTRA_PROGRAMS =
38 check_PROGRAMS =
39 TESTS =
40 noinst_PROGRAMS = sample-autodetect$(EXEEXT) \
41         sample-multi-detect$(EXEEXT) lunkwill-canon-capture$(EXEEXT) \
42         sample-owner$(EXEEXT) sample-preview$(EXEEXT)
43 DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
44         $(top_srcdir)/installcheck.mk
45 subdir = examples
46 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
47 am__aclocal_m4_deps = $(top_srcdir)/m4m/gp-byteorder.m4 \
48         $(top_srcdir)/m4m/gp-camlibs.m4 \
49         $(top_srcdir)/m4m/gp-check-doxygen.m4 \
50         $(top_srcdir)/m4m/gp-check-library.m4 \
51         $(top_srcdir)/m4m/gp-check-shell-environment.m4 \
52         $(top_srcdir)/m4m/gp-config-msg.m4 \
53         $(top_srcdir)/m4m/gp-documentation.m4 \
54         $(top_srcdir)/m4m/gp-gettext-hack.m4 \
55         $(top_srcdir)/m4m/gp-packaging.m4 \
56         $(top_srcdir)/m4m/gp-pkg-config.m4 \
57         $(top_srcdir)/m4m/gp-references.m4 \
58         $(top_srcdir)/m4m/gp-stdint.m4 $(top_srcdir)/m4m/gp-udev.m4 \
59         $(top_srcdir)/auto-m4/gettext.m4 \
60         $(top_srcdir)/auto-m4/iconv.m4 $(top_srcdir)/auto-m4/lib-ld.m4 \
61         $(top_srcdir)/auto-m4/lib-link.m4 \
62         $(top_srcdir)/auto-m4/lib-prefix.m4 \
63         $(top_srcdir)/auto-m4/libtool.m4 \
64         $(top_srcdir)/auto-m4/ltoptions.m4 \
65         $(top_srcdir)/auto-m4/ltsugar.m4 \
66         $(top_srcdir)/auto-m4/ltversion.m4 \
67         $(top_srcdir)/auto-m4/lt~obsolete.m4 \
68         $(top_srcdir)/auto-m4/nls.m4 $(top_srcdir)/auto-m4/po.m4 \
69         $(top_srcdir)/auto-m4/progtest.m4 $(top_srcdir)/configure.ac
70 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
71         $(ACLOCAL_M4)
72 mkinstalldirs = $(SHELL) $(top_srcdir)/auto-aux/mkinstalldirs
73 CONFIG_HEADER = $(top_builddir)/config.h
74 CONFIG_CLEAN_FILES =
75 CONFIG_CLEAN_VPATH_FILES =
76 PROGRAMS = $(noinst_PROGRAMS)
77 am_lunkwill_canon_capture_OBJECTS = lunkwill-canon-capture.$(OBJEXT) \
78         context.$(OBJEXT) config.$(OBJEXT)
79 lunkwill_canon_capture_OBJECTS = $(am_lunkwill_canon_capture_OBJECTS)
80 lunkwill_canon_capture_LDADD = $(LDADD)
81 am__DEPENDENCIES_1 =
82 lunkwill_canon_capture_DEPENDENCIES =  \
83         $(top_builddir)/libgphoto2/libgphoto2.la \
84         $(top_builddir)/libgphoto2_port/libgphoto2_port/libgphoto2_port.la \
85         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
86 am_sample_autodetect_OBJECTS = sample-autodetect.$(OBJEXT) \
87         context.$(OBJEXT) config.$(OBJEXT)
88 sample_autodetect_OBJECTS = $(am_sample_autodetect_OBJECTS)
89 sample_autodetect_LDADD = $(LDADD)
90 sample_autodetect_DEPENDENCIES =  \
91         $(top_builddir)/libgphoto2/libgphoto2.la \
92         $(top_builddir)/libgphoto2_port/libgphoto2_port/libgphoto2_port.la \
93         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
94 am_sample_multi_detect_OBJECTS = sample-multi-detect.$(OBJEXT) \
95         autodetect.$(OBJEXT) context.$(OBJEXT) config.$(OBJEXT)
96 sample_multi_detect_OBJECTS = $(am_sample_multi_detect_OBJECTS)
97 sample_multi_detect_LDADD = $(LDADD)
98 sample_multi_detect_DEPENDENCIES =  \
99         $(top_builddir)/libgphoto2/libgphoto2.la \
100         $(top_builddir)/libgphoto2_port/libgphoto2_port/libgphoto2_port.la \
101         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
102 am_sample_owner_OBJECTS = sample-owner.$(OBJEXT) context.$(OBJEXT) \
103         config.$(OBJEXT)
104 sample_owner_OBJECTS = $(am_sample_owner_OBJECTS)
105 sample_owner_LDADD = $(LDADD)
106 sample_owner_DEPENDENCIES = $(top_builddir)/libgphoto2/libgphoto2.la \
107         $(top_builddir)/libgphoto2_port/libgphoto2_port/libgphoto2_port.la \
108         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
109 am_sample_preview_OBJECTS = preview.$(OBJEXT) context.$(OBJEXT) \
110         config.$(OBJEXT)
111 sample_preview_OBJECTS = $(am_sample_preview_OBJECTS)
112 sample_preview_LDADD = $(LDADD)
113 sample_preview_DEPENDENCIES =  \
114         $(top_builddir)/libgphoto2/libgphoto2.la \
115         $(top_builddir)/libgphoto2_port/libgphoto2_port/libgphoto2_port.la \
116         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
117 DEFAULT_INCLUDES = -I. -I$(top_builddir)
118 depcomp = $(SHELL) $(top_srcdir)/auto-aux/depcomp
119 am__depfiles_maybe = depfiles
120 am__mv = mv -f
121 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
122         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
123 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
124         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
125         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
126 CCLD = $(CC)
127 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
128         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
129         $(LDFLAGS) -o $@
130 SOURCES = $(lunkwill_canon_capture_SOURCES) \
131         $(sample_autodetect_SOURCES) $(sample_multi_detect_SOURCES) \
132         $(sample_owner_SOURCES) $(sample_preview_SOURCES)
133 DIST_SOURCES = $(lunkwill_canon_capture_SOURCES) \
134         $(sample_autodetect_SOURCES) $(sample_multi_detect_SOURCES) \
135         $(sample_owner_SOURCES) $(sample_preview_SOURCES)
136 ETAGS = etags
137 CTAGS = ctags
138 am__tty_colors = \
139 red=; grn=; lgn=; blu=; std=
140 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
141 ACLOCAL = ${SHELL} /home/abuild/rpmbuild/BUILD/libgphoto2-2.4.11/auto-aux/missing --run aclocal-1.11
142 ALL_CURRENT_CAMLIBS = agfa_cl20 aox ax203 barbie canon casio_qv clicksmart310 digigr8 digita dimera3500 directory enigma13 gsmart300 hp215 iclick jamcam jd11 jl2005a kodak_dc120 kodak_dc210 kodak_dc240 kodak_ez200 largan lg_gsm mars panasonic_coolshot panasonic_l859 panasonic_dc1000 panasonic_dc1580 pccam300 pccam600 polaroid_pdc320 polaroid_pdc640 polaroid_pdc700 ptp2 ricoh ricoh_g3 samsung sierra sipix_blink2 sipix_web2 smal sonix sony_dscf1 sony_dscf55 soundvision spca50x sq905 st2205 stv0674 sx330z toshiba_pdrm11
143 ALL_DEFINED_CAMLIBS = agfa_cl20 aox ax203 barbie canon casio_qv clicksmart310 digigr8 digita dimera3500 directory enigma13 gsmart300 hp215 iclick jamcam jd11 jl2005a kodak_dc120 kodak_dc210 kodak_dc240 kodak_ez200 largan lg_gsm mars panasonic_coolshot panasonic_l859 panasonic_dc1000 panasonic_dc1580 pccam300 pccam600 polaroid_pdc320 polaroid_pdc640 polaroid_pdc700 ptp2 ricoh ricoh_g3 samsung sierra sipix_blink2 sipix_web2 smal sonix sony_dscf1 sony_dscf55 soundvision spca50x sq905 st2205 stv0674 sx330z toshiba_pdrm11 sipix_blink template
144 AMTAR = ${SHELL} /home/abuild/rpmbuild/BUILD/libgphoto2-2.4.11/auto-aux/missing --run tar
145 AM_CFLAGS =  -Wall -O2 -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security  -fmessage-length=0 -march=armv7-a -mtune=cortex-a8 -mlittle-endian -mfpu=vfpv3 -mfloat-abi=softfp -D__SOFTFP__ -fPIC -Wall -Wmissing-declarations -Wmissing-prototypes
146 AM_CPPFLAGS =  -I$(top_srcdir) -I$(top_builddir) -I$(top_srcdir)/libgphoto2_port -I$(top_srcdir)/libgphoto2 -I$(top_builddir)/libgphoto2  -Wall -g -D_GPHOTO2_INTERNAL_CODE -D_GPHOTO2_SAMSUNG_PATCH_ -DLOCALEDIR=\"$(datadir)/locale\" -DCAMLIBS=\"$(camlibdir)\"
147 AM_CXXFLAGS =  -Wall -O2 -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security  -fmessage-length=0 -march=armv7-a -mtune=cortex-a8 -mlittle-endian -mfpu=vfpv3 -mfloat-abi=softfp -D__SOFTFP__
148 AM_LDFLAGS =   -Wl,--hash-style=both -Wl,--as-needed -Wl,--rpath=/usr/lib -Wall -g
149 AR = ar
150 AS = as
151 AUTOCONF = ${SHELL} /home/abuild/rpmbuild/BUILD/libgphoto2-2.4.11/auto-aux/missing --run autoconf
152 AUTOHEADER = ${SHELL} /home/abuild/rpmbuild/BUILD/libgphoto2-2.4.11/auto-aux/missing --run autoheader
153 AUTOMAKE = ${SHELL} /home/abuild/rpmbuild/BUILD/libgphoto2-2.4.11/auto-aux/missing --run automake-1.11
154 AWK = gawk
155 BISON = 
156 BUILD_THESE_CAMLIBS =  agfa_cl20.la aox.la ax203.la barbie.la canon.la casio_qv.la clicksmart310.la digigr8.la digita.la dimera3500.la directory.la enigma13.la gsmart300.la hp215.la iclick.la jamcam.la jd11.la jl2005a.la kodak_dc120.la kodak_dc210.la kodak_dc240.la kodak_ez200.la largan.la lg_gsm.la mars.la panasonic_coolshot.la panasonic_l859.la panasonic_dc1000.la panasonic_dc1580.la pccam300.la pccam600.la polaroid_pdc320.la polaroid_pdc640.la polaroid_pdc700.la ptp2.la ricoh.la ricoh_g3.la samsung.la sierra.la sipix_blink2.la sipix_web2.la smal.la sonix.la sony_dscf1.la sony_dscf55.la soundvision.la spca50x.la sq905.la st2205.la stv0674.la sx330z.la toshiba_pdrm11.la
157 CAMLIB_LDFLAGS = -module -no-undefined -avoid-version -export-dynamic -export-symbols $(top_srcdir)/camlibs/camlib.sym
158 CAMLIB_LIBS = $(top_builddir)/libgphoto2/libgphoto2.la
159 CC = gcc
160 CCDEPMODE = depmode=gcc3
161 CFLAGS =  -Wall -O2 -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security  -fmessage-length=0 -march=armv7-a -mtune=cortex-a8 -mlittle-endian -mfpu=vfpv3 -mfloat-abi=softfp -D__SOFTFP__ -fPIC -Wall -Wmissing-declarations -Wmissing-prototypes
162 CPP = gcc -E
163 CPPFLAGS =  -I$(top_srcdir) -I$(top_builddir) -I$(top_srcdir)/libgphoto2_port -I$(top_srcdir)/libgphoto2 -I$(top_builddir)/libgphoto2  -Wall -g -D_GPHOTO2_INTERNAL_CODE -D_GPHOTO2_SAMSUNG_PATCH_
164 CXX = g++
165 CXXCPP = g++ -E
166 CXXDEPMODE = depmode=gcc3
167 CXXFLAGS = -Wall -O2 -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security  -fmessage-length=0 -march=armv7-a -mtune=cortex-a8 -mlittle-endian -mfpu=vfpv3 -mfloat-abi=softfp -D__SOFTFP__
168 CYGPATH_W = echo
169 DEFS = -DHAVE_CONFIG_H
170 DEPDIR = .deps
171 DLLTOOL = dlltool
172 DOT = false
173 DOXYGEN = false
174 DOXYGEN_OUTPUT_DIR = doxygen-output
175 DSYMUTIL = 
176 DUMPBIN = 
177 ECHO_C = 
178 ECHO_N = -n
179 ECHO_T = 
180 EGREP = /bin/grep -E
181 EXEEXT = 
182 FGREP = /bin/grep -F
183 FLEX = 
184 GETTEXT_PACKAGE = libgphoto2-2
185 GMSGFMT = /usr/bin/msgfmt
186 GREP = /bin/grep
187 GTKDOC = 
188 HAVE_DOT = NO
189 HTML_APIDOC_DIR = libgphoto2-api.html
190 HTML_APIDOC_INTERNALS_DIR = libgphoto2-internals.html
191 INSTALL = /usr/bin/install -c
192 INSTALL_DATA = ${INSTALL} -m 644
193 INSTALL_PROGRAM = ${INSTALL}
194 INSTALL_SCRIPT = ${INSTALL}
195 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
196 INTLLIBS = 
197 LD = /usr/libexec/gcc/armv7l-tizen-linux-gnueabi/4.5.3/ld
198 LDFLAGS =  -Wl,--hash-style=both -Wl,--as-needed -Wl,--rpath=/usr/lib
199 LIBEXIF_CFLAGS = 
200 LIBEXIF_CONFIG_PROG = 
201 LIBEXIF_LIBS = 
202 LIBGD = 
203 LIBGPHOTO2_AGE = 4
204 LIBGPHOTO2_CURRENT = 6
205 LIBGPHOTO2_CURRENT_MIN = 2
206 LIBGPHOTO2_REVISION = 0
207 LIBGPHOTO2_VERSION_INFO = 6:0:4
208 LIBICONV = 
209 LIBINTL = 
210 LIBJPEG = 
211 LIBOBJS = 
212 LIBS = 
213 LIBTOOL = $(SHELL) $(top_builddir)/libtool
214 LIBUSB_CONFIG = /usr/bin/libusb-config
215 LIPO = 
216 LN_S = ln -s
217 LTLIBICONV = 
218 LTLIBINTL = 
219 LTLIBOBJS = 
220 MAIL_GPHOTO_DEVEL = <gphoto-devel@lists.sourceforge.net>
221 MAIL_GPHOTO_TRANSLATION = <gphoto-translation@lists.sourceforge.net>
222 MAIL_GPHOTO_USER = <gphoto-user@lists.sourceforge.net>
223 MAKEINFO = ${SHELL} /home/abuild/rpmbuild/BUILD/libgphoto2-2.4.11/auto-aux/missing --run makeinfo
224 MKDIR_P = /bin/mkdir -p
225 MKINSTALLDIRS = $(top_builddir)/auto-aux/mkinstalldirs
226 MSGFMT = /usr/bin/msgfmt
227 MSGMERGE = /usr/bin/msgmerge
228 NM = /usr/bin/nm -B
229 NMEDIT = 
230 NO_UNUSED_CFLAGS = -Wno-unused
231 OBJDUMP = objdump
232 OBJEXT = o
233 OTOOL = 
234 OTOOL64 = 
235 PACKAGE = libgphoto2
236 PACKAGE_BUGREPORT = gphoto-devel@lists.sourceforge.net
237 PACKAGE_NAME = libgphoto2 photo camera library
238 PACKAGE_STRING = libgphoto2 photo camera library 2.4.11
239 PACKAGE_TARNAME = libgphoto2
240 PACKAGE_URL = 
241 PACKAGE_VERSION = 2.4.11
242 PATH_SEPARATOR = :
243 PKG_CONFIG = /usr/bin/pkg-config
244 PKG_CONFIG_LIBDIR = 
245 PKG_CONFIG_PATH = /usr/lib/pkgconfig:/usr/share/pkgconfig
246 POSUB = po
247 RANLIB = ranlib
248 REQUIREMENTS_FOR_LIBEXIF = libexif >= 0.6.13
249 RPMBUILD = rpmbuild
250 SED = sed
251 SET_MAKE = 
252 SHELL = /bin/sh
253 STRIP = strip
254 URL_DIGICAM_LIST = http://www.teaser.fr/~hfiguiere/linux/digicam.html
255 URL_GPHOTO_HOME = http://www.gphoto.org/
256 URL_GPHOTO_PROJECT = http://sourceforge.net/projects/gphoto
257 URL_JPHOTO_HOME = http://jphoto.sourceforge.net/
258 URL_USB_MASSSTORAGE = http://www.linux-usb.org/USB-guide/x498.html
259 USE_NLS = yes
260 VERSION = 2.4.11
261 XGETTEXT = /usr/bin/xgettext
262 abs_builddir = /home/abuild/rpmbuild/BUILD/libgphoto2-2.4.11/examples
263 abs_srcdir = /home/abuild/rpmbuild/BUILD/libgphoto2-2.4.11/examples
264 abs_top_builddir = /home/abuild/rpmbuild/BUILD/libgphoto2-2.4.11
265 abs_top_srcdir = /home/abuild/rpmbuild/BUILD/libgphoto2-2.4.11
266 ac_ct_CC = gcc
267 ac_ct_CXX = g++
268 ac_ct_DUMPBIN = 
269 am__include = include
270 am__leading_dot = .
271 am__quote = 
272 am__tar = ${AMTAR} chof - "$$tardir"
273 am__untar = ${AMTAR} xf -
274 apidocdir = ${prefix}/share/doc/libgphoto2/html/api
275 bindir = /usr/bin
276 build = armv7l-unknown-linux-gnueabi
277 build_alias = armv7l-unknown-linux-gnueabi
278 build_cpu = armv7l
279 build_os = linux-gnueabi
280 build_vendor = unknown
281 builddir = .
282 camlibdir = ${libdir}/libgphoto2/2.4.11
283 camlibdocdir = ${docdir}/camlibs
284 datadir = /usr/share
285 datarootdir = ${prefix}/share
286 docdir = ${prefix}/share/doc/libgphoto2
287 dvidir = ${docdir}
288 effective_target = armv7l-tizen-linux-gnueabi
289 exec_prefix = /usr
290 host = armv7l-unknown-linux-gnueabi
291 host_alias = armv7l-unknown-linux-gnueabi
292 host_cpu = armv7l
293 host_os = linux-gnueabi
294 host_vendor = unknown
295 hotplugdocdir = ${prefix}/share/doc/libgphoto2/linux-hotplug
296 hotplugusermapdir = ${prefix}/share/doc/libgphoto2/linux-hotplug
297 htmldir = ${prefix}/share/doc/libgphoto2/html
298 includedir = /usr/include
299 infodir = /usr/share/info
300 install_sh = ${SHELL} /home/abuild/rpmbuild/BUILD/libgphoto2-2.4.11/auto-aux/install-sh
301 libdir = /usr/lib
302 libexecdir = /usr/libexec
303 localedir = $(datadir)/locale
304 localstatedir = /var
305 lt_ECHO = echo
306 mandir = /usr/share/man
307 mkdir_p = /bin/mkdir -p
308 oldincludedir = /usr/include
309 pdfdir = ${docdir}
310 pkgconfigdir = ${libdir}/pkgconfig
311 prefix = /usr
312 program_transform_name = s&^&&
313 psdir = ${docdir}
314 sbindir = /usr/sbin
315 sharedstatedir = /var/lib
316 srcdir = .
317 subdirs =  libgphoto2_port
318 sysconfdir = /etc
319 target_alias = armv7l-tizen-linux-gnueabi
320 top_build_prefix = ../
321 top_builddir = ..
322 top_srcdir = ..
323 udevscriptdir = ${libdir}/udev
324 utilsdir = ${libdir}/${PACKAGE_TARNAME}
325 EXTRA_DIST = README
326 check_SCRIPTS = 
327 INSTALL_TESTS = 
328
329 # Now that we build all the camlibs in one directory, we can run our checks
330 # with CAMLIBS set to the camlib build directory.
331 TESTS_ENVIRONMENT = env \
332         CAMLIBS="$(top_builddir)/camlibs"
333
334
335 # After installation, this will be CAMLIBS = $(DESTDIR)$(camlibdir)
336 INSTALL_TESTS_ENVIRONMENT = env \
337         CAMLIBS="$(DESTDIR)$(camlibdir)" \
338         LD_LIBRARY_PATH="$(DESTDIR)$(libdir)$${LD_LIBRARY_PATH+:$${LD_LIBRARY_PATH}}"
339
340 CLEANFILES = $(check_SCRIPTS)
341 sample_autodetect_SOURCES = sample-autodetect.c samples.h context.c config.c
342 sample_owner_SOURCES = sample-owner.c samples.h context.c config.c
343 sample_multi_detect_SOURCES = sample-multi-detect.c samples.h autodetect.c context.c config.c
344 lunkwill_canon_capture_SOURCES = lunkwill-canon-capture.c context.c samples.h config.c
345 sample_preview_SOURCES = preview.c samples.h context.c config.c
346 LDADD = $(top_builddir)/libgphoto2/libgphoto2.la \
347         $(top_builddir)/libgphoto2_port/libgphoto2_port/libgphoto2_port.la \
348         $(LIBEXIF_LIBS) \
349         $(INTLLIBS)
350
351 all: all-am
352
353 .SUFFIXES:
354 .SUFFIXES: .c .lo .o .obj
355 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/installcheck.mk $(am__configure_deps)
356         @for dep in $?; do \
357           case '$(am__configure_deps)' in \
358             *$$dep*) \
359               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
360                 && { if test -f $@; then exit 0; else break; fi; }; \
361               exit 1;; \
362           esac; \
363         done; \
364         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu examples/Makefile'; \
365         $(am__cd) $(top_srcdir) && \
366           $(AUTOMAKE) --gnu examples/Makefile
367 .PRECIOUS: Makefile
368 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
369         @case '$?' in \
370           *config.status*) \
371             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
372           *) \
373             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
374             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
375         esac;
376
377 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
378         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
379
380 $(top_srcdir)/configure:  $(am__configure_deps)
381         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
382 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
383         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
384 $(am__aclocal_m4_deps):
385
386 clean-checkPROGRAMS:
387         @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
388         echo " rm -f" $$list; \
389         rm -f $$list || exit $$?; \
390         test -n "$(EXEEXT)" || exit 0; \
391         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
392         echo " rm -f" $$list; \
393         rm -f $$list
394
395 clean-noinstPROGRAMS:
396         @list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
397         echo " rm -f" $$list; \
398         rm -f $$list || exit $$?; \
399         test -n "$(EXEEXT)" || exit 0; \
400         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
401         echo " rm -f" $$list; \
402         rm -f $$list
403 lunkwill-canon-capture$(EXEEXT): $(lunkwill_canon_capture_OBJECTS) $(lunkwill_canon_capture_DEPENDENCIES) 
404         @rm -f lunkwill-canon-capture$(EXEEXT)
405         $(LINK) $(lunkwill_canon_capture_OBJECTS) $(lunkwill_canon_capture_LDADD) $(LIBS)
406 sample-autodetect$(EXEEXT): $(sample_autodetect_OBJECTS) $(sample_autodetect_DEPENDENCIES) 
407         @rm -f sample-autodetect$(EXEEXT)
408         $(LINK) $(sample_autodetect_OBJECTS) $(sample_autodetect_LDADD) $(LIBS)
409 sample-multi-detect$(EXEEXT): $(sample_multi_detect_OBJECTS) $(sample_multi_detect_DEPENDENCIES) 
410         @rm -f sample-multi-detect$(EXEEXT)
411         $(LINK) $(sample_multi_detect_OBJECTS) $(sample_multi_detect_LDADD) $(LIBS)
412 sample-owner$(EXEEXT): $(sample_owner_OBJECTS) $(sample_owner_DEPENDENCIES) 
413         @rm -f sample-owner$(EXEEXT)
414         $(LINK) $(sample_owner_OBJECTS) $(sample_owner_LDADD) $(LIBS)
415 sample-preview$(EXEEXT): $(sample_preview_OBJECTS) $(sample_preview_DEPENDENCIES) 
416         @rm -f sample-preview$(EXEEXT)
417         $(LINK) $(sample_preview_OBJECTS) $(sample_preview_LDADD) $(LIBS)
418
419 mostlyclean-compile:
420         -rm -f *.$(OBJEXT)
421
422 distclean-compile:
423         -rm -f *.tab.c
424
425 include ./$(DEPDIR)/autodetect.Po
426 include ./$(DEPDIR)/config.Po
427 include ./$(DEPDIR)/context.Po
428 include ./$(DEPDIR)/lunkwill-canon-capture.Po
429 include ./$(DEPDIR)/preview.Po
430 include ./$(DEPDIR)/sample-autodetect.Po
431 include ./$(DEPDIR)/sample-multi-detect.Po
432 include ./$(DEPDIR)/sample-owner.Po
433
434 .c.o:
435         depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
436         $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
437         $(am__mv) $$depbase.Tpo $$depbase.Po
438 #       source='$<' object='$@' libtool=no \
439 #       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
440 #       $(COMPILE) -c -o $@ $<
441
442 .c.obj:
443         depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
444         $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
445         $(am__mv) $$depbase.Tpo $$depbase.Po
446 #       source='$<' object='$@' libtool=no \
447 #       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
448 #       $(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
449
450 .c.lo:
451         depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
452         $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
453         $(am__mv) $$depbase.Tpo $$depbase.Plo
454 #       source='$<' object='$@' libtool=yes \
455 #       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
456 #       $(LTCOMPILE) -c -o $@ $<
457
458 mostlyclean-libtool:
459         -rm -f *.lo
460
461 clean-libtool:
462         -rm -rf .libs _libs
463
464 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
465         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
466         unique=`for i in $$list; do \
467             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
468           done | \
469           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
470               END { if (nonempty) { for (i in files) print i; }; }'`; \
471         mkid -fID $$unique
472 tags: TAGS
473
474 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
475                 $(TAGS_FILES) $(LISP)
476         set x; \
477         here=`pwd`; \
478         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
479         unique=`for i in $$list; do \
480             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
481           done | \
482           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
483               END { if (nonempty) { for (i in files) print i; }; }'`; \
484         shift; \
485         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
486           test -n "$$unique" || unique=$$empty_fix; \
487           if test $$# -gt 0; then \
488             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
489               "$$@" $$unique; \
490           else \
491             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
492               $$unique; \
493           fi; \
494         fi
495 ctags: CTAGS
496 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
497                 $(TAGS_FILES) $(LISP)
498         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
499         unique=`for i in $$list; do \
500             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
501           done | \
502           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
503               END { if (nonempty) { for (i in files) print i; }; }'`; \
504         test -z "$(CTAGS_ARGS)$$unique" \
505           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
506              $$unique
507
508 GTAGS:
509         here=`$(am__cd) $(top_builddir) && pwd` \
510           && $(am__cd) $(top_srcdir) \
511           && gtags -i $(GTAGS_ARGS) "$$here"
512
513 distclean-tags:
514         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
515
516 check-TESTS: $(TESTS)
517         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
518         srcdir=$(srcdir); export srcdir; \
519         list=' $(TESTS) '; \
520         $(am__tty_colors); \
521         if test -n "$$list"; then \
522           for tst in $$list; do \
523             if test -f ./$$tst; then dir=./; \
524             elif test -f $$tst; then dir=; \
525             else dir="$(srcdir)/"; fi; \
526             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
527               all=`expr $$all + 1`; \
528               case " $(XFAIL_TESTS) " in \
529               *[\ \     ]$$tst[\ \      ]*) \
530                 xpass=`expr $$xpass + 1`; \
531                 failed=`expr $$failed + 1`; \
532                 col=$$red; res=XPASS; \
533               ;; \
534               *) \
535                 col=$$grn; res=PASS; \
536               ;; \
537               esac; \
538             elif test $$? -ne 77; then \
539               all=`expr $$all + 1`; \
540               case " $(XFAIL_TESTS) " in \
541               *[\ \     ]$$tst[\ \      ]*) \
542                 xfail=`expr $$xfail + 1`; \
543                 col=$$lgn; res=XFAIL; \
544               ;; \
545               *) \
546                 failed=`expr $$failed + 1`; \
547                 col=$$red; res=FAIL; \
548               ;; \
549               esac; \
550             else \
551               skip=`expr $$skip + 1`; \
552               col=$$blu; res=SKIP; \
553             fi; \
554             echo "$${col}$$res$${std}: $$tst"; \
555           done; \
556           if test "$$all" -eq 1; then \
557             tests="test"; \
558             All=""; \
559           else \
560             tests="tests"; \
561             All="All "; \
562           fi; \
563           if test "$$failed" -eq 0; then \
564             if test "$$xfail" -eq 0; then \
565               banner="$$All$$all $$tests passed"; \
566             else \
567               if test "$$xfail" -eq 1; then failures=failure; else failures=failures; fi; \
568               banner="$$All$$all $$tests behaved as expected ($$xfail expected $$failures)"; \
569             fi; \
570           else \
571             if test "$$xpass" -eq 0; then \
572               banner="$$failed of $$all $$tests failed"; \
573             else \
574               if test "$$xpass" -eq 1; then passes=pass; else passes=passes; fi; \
575               banner="$$failed of $$all $$tests did not behave as expected ($$xpass unexpected $$passes)"; \
576             fi; \
577           fi; \
578           dashes="$$banner"; \
579           skipped=""; \
580           if test "$$skip" -ne 0; then \
581             if test "$$skip" -eq 1; then \
582               skipped="($$skip test was not run)"; \
583             else \
584               skipped="($$skip tests were not run)"; \
585             fi; \
586             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
587               dashes="$$skipped"; \
588           fi; \
589           report=""; \
590           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
591             report="Please report to $(PACKAGE_BUGREPORT)"; \
592             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
593               dashes="$$report"; \
594           fi; \
595           dashes=`echo "$$dashes" | sed s/./=/g`; \
596           if test "$$failed" -eq 0; then \
597             echo "$$grn$$dashes"; \
598           else \
599             echo "$$red$$dashes"; \
600           fi; \
601           echo "$$banner"; \
602           test -z "$$skipped" || echo "$$skipped"; \
603           test -z "$$report" || echo "$$report"; \
604           echo "$$dashes$$std"; \
605           test "$$failed" -eq 0; \
606         else :; fi
607
608 distdir: $(DISTFILES)
609         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
610         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
611         list='$(DISTFILES)'; \
612           dist_files=`for file in $$list; do echo $$file; done | \
613           sed -e "s|^$$srcdirstrip/||;t" \
614               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
615         case $$dist_files in \
616           */*) $(MKDIR_P) `echo "$$dist_files" | \
617                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
618                            sort -u` ;; \
619         esac; \
620         for file in $$dist_files; do \
621           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
622           if test -d $$d/$$file; then \
623             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
624             if test -d "$(distdir)/$$file"; then \
625               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
626             fi; \
627             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
628               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
629               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
630             fi; \
631             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
632           else \
633             test -f "$(distdir)/$$file" \
634             || cp -p $$d/$$file "$(distdir)/$$file" \
635             || exit 1; \
636           fi; \
637         done
638 check-am: all-am
639         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) $(check_SCRIPTS)
640         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
641 check: check-am
642 all-am: Makefile $(PROGRAMS)
643 installdirs:
644 install: install-am
645 install-exec: install-exec-am
646 install-data: install-data-am
647 uninstall: uninstall-am
648
649 install-am: all-am
650         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
651
652 installcheck: installcheck-am
653 install-strip:
654         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
655           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
656           `test -z '$(STRIP)' || \
657             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
658 mostlyclean-generic:
659
660 clean-generic:
661         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
662
663 distclean-generic:
664         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
665         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
666
667 maintainer-clean-generic:
668         @echo "This command is intended for maintainers to use"
669         @echo "it deletes files that may require special tools to rebuild."
670 clean: clean-am
671
672 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
673         clean-noinstPROGRAMS mostlyclean-am
674
675 distclean: distclean-am
676         -rm -rf ./$(DEPDIR)
677         -rm -f Makefile
678 distclean-am: clean-am distclean-compile distclean-generic \
679         distclean-tags
680
681 dvi: dvi-am
682
683 dvi-am:
684
685 html: html-am
686
687 html-am:
688
689 info: info-am
690
691 info-am:
692
693 install-data-am:
694
695 install-dvi: install-dvi-am
696
697 install-dvi-am:
698
699 install-exec-am:
700
701 install-html: install-html-am
702
703 install-html-am:
704
705 install-info: install-info-am
706
707 install-info-am:
708
709 install-man:
710
711 install-pdf: install-pdf-am
712
713 install-pdf-am:
714
715 install-ps: install-ps-am
716
717 install-ps-am:
718
719 installcheck-am: installcheck-local
720
721 maintainer-clean: maintainer-clean-am
722         -rm -rf ./$(DEPDIR)
723         -rm -f Makefile
724 maintainer-clean-am: distclean-am maintainer-clean-generic
725
726 mostlyclean: mostlyclean-am
727
728 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
729         mostlyclean-libtool
730
731 pdf: pdf-am
732
733 pdf-am:
734
735 ps: ps-am
736
737 ps-am:
738
739 uninstall-am:
740
741 .MAKE: check-am install-am install-strip
742
743 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
744         clean-checkPROGRAMS clean-generic clean-libtool \
745         clean-noinstPROGRAMS ctags distclean distclean-compile \
746         distclean-generic distclean-libtool distclean-tags distdir dvi \
747         dvi-am html html-am info info-am install install-am \
748         install-data install-data-am install-dvi install-dvi-am \
749         install-exec install-exec-am install-html install-html-am \
750         install-info install-info-am install-man install-pdf \
751         install-pdf-am install-ps install-ps-am install-strip \
752         installcheck installcheck-am installcheck-local installdirs \
753         maintainer-clean maintainer-clean-generic mostlyclean \
754         mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
755         pdf pdf-am ps ps-am tags uninstall uninstall-am
756
757
758 # FIXME: Only run this if not cross-compiling
759 installcheck-local: $(INSTALL_TESTS) $(INSTALLCHECK_DEPS)
760         @total=0; failed=0; success=0; ignored=0; \
761         echo "Running \"installcheck\" test cases..."; \
762         for script in $(INSTALL_TESTS); do \
763                 echo "Test case: $$script"; \
764                 total="$$(expr $$total + 1)"; \
765                 if test -f "./$$script"; then dir="./"; \
766                 elif test -f "$$script"; then dir=""; \
767                 else dir="$(srcdir)/"; fi; \
768                 if $(INSTALL_TESTS_ENVIRONMENT) "$$dir/$$script"; then \
769                         echo "SUCCEEDED: $$script"; \
770                         success="$$(expr $$success + 1)"; \
771                 else \
772                         s="$$?"; \
773                         if test "$$s" = "77"; then \
774                                 echo "FAILURE IGNORED (return code $$s): $$script"; \
775                                 ignored="$$(expr $$ignored + 1)"; \
776                         else \
777                                 echo "FAILED (return code $$s): $$script"; \
778                                 failed="$$(expr $$failed + 1)"; \
779                         fi; \
780                 fi; \
781         done; \
782         echo "Test summary: $$success succeeded, $$failed failed, $$ignored failures ignored, $$total tests in total."; \
783         if test "$$failed" -gt 0; then \
784                 echo "Error: One or more \"installcheck\" testcases have failed."; \
785                 exit 1; \
786         fi
787
788 #noinst_PROGRAMS += test-filesys
789 #test_filesys_SOURCE = test-filesys.c
790 #test_filesys_LDADD = \
791 #       $(top_builddir)/libgphoto2/libgphoto2.la \
792 #       $(top_builddir)/libgphoto2_port/libgphoto2_port/libgphoto2_port.la \
793 #       $(LIBLTDL) \
794 #       $(LIBEXIF_LIBS) \
795 #       $(INTLLIBS)
796
797 #TESTS += test-camera-list
798 #INSTALL_TESTS += test-camera-list
799 #check_PROGRAMS += test-camera-list
800 #test_camera_list_SOURCE = test-camera-list.c
801 #test_camera_list_LDADD = \
802 #       $(top_builddir)/libgphoto2/libgphoto2.la \
803 #       $(top_builddir)/libgphoto2_port/libgphoto2_port/libgphoto2_port.la \
804 #       $(LIBLTDL) \
805 #       $(LIBEXIF_LIBS) \
806 #       $(INTLLIBS)
807
808 #if HAVE_GCC
809 #PEDANTIC_CFLAGS = -std=c99 -pedantic-errors -W -Wall -Wextra -Werror
810 #PEDANTIC_CXXFLAGS = -std=c++98 -pedantic-errors -W -Wall -Wextra -Werror
811 #else
812 #PEDANTIC_CFLAGS = 
813 #PEDANTIC_CXXFLAGS = 
814 #endif
815 #
816 #TESTS += test-pedantic-c
817 #check_PROGRAMS += test-pedantic-c
818 #test_pedantic_c_SOURCES = test-pedantic-compilation.c
819 #test_pedantic_c_CPPFLAGS = \
820 #       $(AM_CPPFLAGS) $(CPPFLAGS) \
821 #       -U_GPHOTO2_INTERNAL_CODE
822 #test_pedantic_c_CFLAGS = \
823 #       $(AM_CFLAGS) $(PEDANTIC_CFLAGS) $(CFLAGS) \
824 #       -U_GPHOTO2_INTERNAL_CODE
825 #test_pedantic_c_LDADD = \
826 #       $(top_builddir)/libgphoto2/libgphoto2.la \
827 #       $(top_builddir)/libgphoto2_port/libgphoto2_port/libgphoto2_port.la \
828 #       $(LIBLTDL) \
829 #       $(LIBEXIF_LIBS) \
830 #       $(INTLLIBS)
831
832 #if HAVE_CXX
833 #check_PROGRAMS += test-pedantic-cxx
834 #TESTS += test-pedantic-cxx
835 #else
836 #EXTRA_PROGRAMS += test-pedantic-cxx
837 #endif
838 #test_pedantic_cxx_SOURCES = test-pedantic-compilation.cxx
839 #test_pedantic_cxx_CPPFLAGS = \
840 #       $(AM_CPPFLAGS) $(CPPFLAGS) \
841 #       -U_GPHOTO2_INTERNAL_CODE
842 #test_pedantic_cxx_CXXFLAGS = \
843 #       $(AM_CXXFLAGS) $(PEDANTIC_CXXFLAGS) $(CXXFLAGS) \
844 #       -U_GPHOTO2_INTERNAL_CODE
845 #test_pedantic_cxx_LDADD = \
846 #       $(top_builddir)/libgphoto2/libgphoto2.la \
847 #       $(top_builddir)/libgphoto2_port/libgphoto2_port/libgphoto2_port.la \
848 #       $(LIBLTDL) \
849 #       $(LIBEXIF_LIBS) \
850 #       $(INTLLIBS)
851
852 # Tell versions [3.59,3.63) of GNU make to not export all variables.
853 # Otherwise a system limit (for SysV at least) may be exceeded.
854 .NOEXPORT: